Bug 1251950 - Rebase on newer mongodb
Rebase on newer mongodb
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 07:56 EDT by Stephen Benjamin
Modified: 2016-09-16 16:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-16 16:38:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Benjamin 2015-08-10 07:56:23 EDT
There's a disconnect between the mongo versions used upstream and down.

In the beginning, EPEL 7 included its own systemd service unit with this configuration:

  PIDFile=/var/run/mongodb/mongodb.pid

In August of last year, mongo added a service unit of their own to the repository, as part of https://jira.mongodb.org/browse/SERVER-7285.  With this value:

  PIDFile=/var/run/mongodb/mongod.pid (mongod vs mongodb)

This broke everyone who upgraded as /etc/mongodb.conf still referred to the old location.

Through some installer and puppet module changes we accommodated the change, but now run into the issue where upstream using the new location, and downstream using the old location, are causing problems for us (see: https://bugzilla.redhat.com/show_bug.cgi?id=1248663).

It'd be good if for Satellite 6.2 we can move to the same upstream version of mongo, if possible.  Or at the very least include the newer service unit.
Comment 4 Bryan Kearney 2016-08-04 16:18:02 EDT
Moving 6.2 bugs out to sat-backlog.

Note You need to log in before you can comment on or make changes to this bug.